#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3 |tr '-' '.' )
%define		aname		%(echo %{sname} | cut -d '.' -f1)
%define		bname		%(echo %{sname} | cut -d '.' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-zope-i18nmessageid
Version		:	6.1.0
Release		:	17.2.0.rel%{?dist}
Summary		:	To translate any text
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ZPLv2.1
URL		:	https://pypi.io

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-pep517
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

#-----------------------------------------------------------------------------
%description
To translate any text, we must be able to
discover the source domain of the text.
A source domain is an identifier that identifies
a project that produces program source strings.
Source strings occur as literals in python programs,
text in templates, and some text in XML data.
The project implies a source language and an
application context.

We can think of a source domain as a collection
of messages and associated translation strings.

We often need to create unicode strings that will
be displayed by separate views. The view cannot
translate the string without knowing its source domain.
A string or unicode literal carries no domain information,
therefore we use messages. Messages are unicode strings
which carry a translation source domain and possibly a
default translation. They are created by a message factory.
The message factory is created by calling MessageFactory
with the source domain.

This package provides facilities for declaring such
messages within program source text; translation of
the messages is the responsiblitiy of the
'zope.i18n' package.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%{python3_sitelib}/%{aname}/%{bname}/*.py
%{python3_sitelib}/%{aname}/%{bname}/_%{aname}_%{bname}_message.c
%{python3_sitelib}/%{aname}/%{bname}/_%{aname}_%{bname}_message.cpython*.so
%{python3_sitelib}/%{aname}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{aname}.%{bname}-%{version}.dist-info/
%{python3_sitelib}/%{aname}.%{bname}-%{version}-*-nspkg.pth

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
PURE_PYTHON=1 %{__python}				\
  -m unittest discover					\
  -s %{buildroot}%{python3_sitearch}/%{aname}/%{bname}	\
  -t							\
  %{buildroot}%{python3_sitearch}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl
#-----------------------------------------------------------------------------
%changelog
